<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [GoAnalysis](./bitburner.goanalysis.md) &gt; [highlightPoint](./bitburner.goanalysis.highlightpoint.md)

## GoAnalysis.highlightPoint() method

Adds a colored circle indicator to the specified point. These indicators are removed once a move is played.

**Signature:**

```typescript
highlightPoint(x: number, y: number, color?: string, text?: string): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

x


</td><td>

number


</td><td>

The x coordinate to highlight


</td></tr>
<tr><td>

y


</td><td>

number


</td><td>

The y coordinate to highlight


</td></tr>
<tr><td>

color


</td><td>

string


</td><td>

_(Optional)_ The color to use for the circle. It can be any value accepted by [outline-color CSS property](https://developer.mozilla.org/en-US/docs/Web/CSS/outline-color) (e.g., an RGB string like "\#FFF000"). You can also use "none" to clear it or one of 5 special values: "hack", "hp", "money", "int", "cha". The corresponding colors of 5 special values depend on your theme.


</td></tr>
<tr><td>

text


</td><td>

string


</td><td>

_(Optional)_ Text to add to the node (replaces the default A.1 or B5 seen on hover). Should be kept short to fit well.


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 0 GB

